<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% copy_from = local_assigns[:copy_from] %>
<% if copy_from
     page_title = t('meeting.copy.title', title: copy_from.title)
     breadcrumb_element = t('meeting.copy.title', title: "<b>#{copy_from.title}</b>")
   else
     page_title = t(:label_meeting_new)
     breadcrumb_element = t(:label_meeting_new)
   end %>

<% html_title page_title  %>

<%=
  render(Primer::OpenProject::PageHeader.new) do |header|
    header.with_title { page_title }
    header.with_breadcrumbs([@project.present? ?
                               { href: project_overview_path(@project.id), text: @project.name } :
                               { href: home_path, text: I18n.t(:label_home) },
                             { href: @project.present? ? project_meetings_path(@project.id) : meetings_path,
                               text: I18n.t(:label_meeting_plural) },
                             breadcrumb_element.html_safe])
  end
%>


<%= labelled_tabular_form_for @meeting,
                              as: :meeting,
                              url: {:controller => '/meetings', :action => 'create', :project_id => @project},
                              :html => {:id => 'meeting-form',
                                        :data => { :controller => 'refresh-on-form-changes',
                                                   'refresh-on-form-changes-target': 'form',
                                                   'refresh-on-form-changes-turbo-stream-url-value': new_meeting_url }} do |f| -%>
  <%= render :partial => 'form', :locals => { f:, copy_from: } %>
  <%= styled_button_tag t(:button_create), class: '-primary' %>
  <%= link_to t(:button_cancel), { :action => 'index', :project_id => @project },
        class: 'button' %>
<% end %>
